"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.rawGraphQLRequestToEnvelope = void 0;
async function rawGraphQLRequestToEnvelope(request, logger) {
    var _a, _b;
    logger.debug('Received GraphQL request: ', request);
    const requestID = request.requestContext.requestId;
    const eventType = (_a = request.requestContext.eventType) !== null && _a !== void 0 ? _a : 'MESSAGE';
    const connectionID = request.requestContext.connectionId;
    try {
        let graphQLValue = undefined;
        if (request.body) {
            graphQLValue = JSON.parse(request.body);
        }
        return {
            requestID,
            eventType,
            connectionID,
            token: (_b = request.headers) === null || _b === void 0 ? void 0 : _b.Authorization,
            value: graphQLValue,
            context: {
                request: {
                    headers: request.headers,
                    body: request.body,
                },
                rawContext: request,
            },
        };
    }
    catch (e) {
        return {
            error: e,
            requestID,
            connectionID,
            eventType,
            context: {
                request: {
                    headers: request.headers,
                    body: request.body,
                },
                rawContext: request,
            },
        };
    }
}
exports.rawGraphQLRequestToEnvelope = rawGraphQLRequestToEnvelope;
