"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.rawScheduledInputToEnvelope = void 0;
const framework_types_1 = require("@boostercloud/framework-types");
async function rawScheduledInputToEnvelope(input, logger) {
    logger.debug('Received ScheduledCommand request: ', input);
    if (!input.typeName)
        throw new Error(`TypeName is not defined, scheduled command envelope should have the structure {typeName: string}, but you gave ${input}`);
    return {
        requestID: framework_types_1.UUID.generate(),
        typeName: input.typeName,
    };
}
exports.rawScheduledInputToEnvelope = rawScheduledInputToEnvelope;
