import { BoosterConfig, Logger, SubscriptionEnvelope } from '@boostercloud/framework-types'
import { DynamoDB } from 'aws-sdk'
import { subscriptionsStoreAttributes } from '../constants'
export interface SubscriptionIndexRecord {
  [subscriptionsStoreAttributes.partitionKey]: string
  [subscriptionsStoreAttributes.sortKey]: string
  [subscriptionsStoreAttributes.indexByConnectionIDPartitionKey]: string
  [subscriptionsStoreAttributes.indexByConnectionIDSortKey]: string
}
export declare function subscribeToReadModel(
  db: DynamoDB.DocumentClient,
  config: BoosterConfig,
  logger: Logger,
  subscriptionEnvelope: SubscriptionEnvelope
): Promise<void>
export declare function fetchSubscriptions(
  db: DynamoDB.DocumentClient,
  config: BoosterConfig,
  logger: Logger,
  subscriptionName: string
): Promise<Array<SubscriptionEnvelope>>
export declare function deleteSubscription(
  db: DynamoDB.DocumentClient,
  config: BoosterConfig,
  logger: Logger,
  connectionID: string,
  subscriptionID: string
): Promise<void>
export declare function deleteAllSubscriptions(
  db: DynamoDB.DocumentClient,
  config: BoosterConfig,
  logger: Logger,
  connectionID: string
): Promise<void>
